export const isClient = !!window.ipcRenderer; // process.env.IS_CLIENT;

const system = {
  closeWindow() {
    window.ipcRenderer.invoke('manipulate-window', { action: 'close' });
  },
  zoomWindow() {
    window.ipcRenderer.invoke('manipulate-window', { action: 'zoom' });
  },
  minimizeWindow() {
    window.ipcRenderer.invoke('manipulate-window', { action: 'minimize' });
  },
  openUrl(url: string) {
    if (!isClient) {
      window.open(url, 'blank');
      return;
    }
    window.ipcRenderer.invoke('open-browser', url);
  },
};

export default system;
